# Class BufferedRangesChangedEvent

#### Hierarchy (view full)

- BasePlayerEvent
  - BufferedRangesChangedEvent

#####
Index

### Constructors

constructor

### Properties

bufferedRanges
type

## Constructors

### constructor

- new BufferedRangesChangedEvent(bufferedRanges): BufferedRangesChangedEvent

- #### Parameters

  - bufferedRanges: PlayerTimeRange[]

  #### Returns BufferedRangesChangedEvent

  Overrides BasePlayerEvent.constructor

## Properties

### `Readonly` bufferedRanges

bufferedRanges: PlayerTimeRange[]

### `Readonly` type

type: "bufferedrangeschanged" = Events.BufferedRangesChanged

Overrides BasePlayerEvent.type